nxt

## Enum Shuffling.Stage

- java.lang.Object
- - java.lang.Enum<Shuffling.Stage>
  - - nxt.Shuffling.Stage

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Shuffling.Stage>
  Enclosing class:
    Shuffling

      public static enum Shuffling.Stage
      extends java.lang.Enum<Shuffling.Stage>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLAME`
    `CANCELLED`
    `DONE`
    `PROCESSING`
    `REGISTRATION`
    `VERIFICATION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canBecome(Shuffling.Stage nextStage)`
    `static Shuffling.Stage` | `get(byte code)`
    `byte` | `getCode()`
    `static Shuffling.Stage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Shuffling.Stage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REGISTRATION

          public static final Shuffling.Stage REGISTRATION

    - #### PROCESSING

          public static final Shuffling.Stage PROCESSING

    - #### VERIFICATION

          public static final Shuffling.Stage VERIFICATION

    - #### BLAME

          public static final Shuffling.Stage BLAME

    - #### CANCELLED

          public static final Shuffling.Stage CANCELLED

    - #### DONE

          public static final Shuffling.Stage DONE

  - ### Method Detail

    - #### values

          public static Shuffling.Stage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Shuffling.Stage c : Shuffling.Stage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Shuffling.Stage valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static Shuffling.Stage get(byte code)

    - #### getCode

          public byte getCode()

    - #### canBecome

          public boolean canBecome(Shuffling.Stage nextStage)